#include "client/gui/ColorFulText.h"

#include <imgui.h>

namespace blitz {
namespace gui {

void RenderColorfulText(const protocol::ColoredText& parts) {
	for (auto& part : parts) {
		ImGui::TextColored({part.color.r, part.color.g, part.color.b, 1}, part.text.c_str());
		ImGui::SameLine();
		ImGui::SetCursorPosX(ImGui::GetCursorPosX() - ImGui::CalcTextSize(".").x);
	}

	ImGui::NewLine();
};

}  // namespace gui
}  // namespace blitz
